"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const options_keys_1 = require("../../model/options.keys");
const main_1 = require("@angular/compiler-cli/src/main");
const logger_1 = require("../services/logger");
const gulp = require('gulp');
/**
 * Compile our typescript files with ngc
 */
class NgcCompileTask {
    /**
     * Registring the task
     */
    registerTask(argv, onError, dependencies = []) {
        const taskName = 'compile-ngc';
        const ngcArguments = { p: `${argv[options_keys_1.OptionsKeys.OUT_DIR]}/tsconfig-ngc.json` };
        logger_1.Logger.warning("\ngcArguments " + ngcArguments.p);
        logger_1.Logger.warning("\ndependencies " + taskName);
        gulp.task(taskName, dependencies, (done) => {
            logger_1.Logger.success("Dentro da task compile " + done);
            main_1.main(ngcArguments, logger_1.Logger.error).then((exitCode) => {
                logger_1.Logger.warning("exitCode " + exitCode);
                if (exitCode === 0) {
                    logger_1.Logger.warning("exitCode 2 " + exitCode);
                    done();
                }
                else {
                    logger_1.Logger.warning("onError 2 " + exitCode);
                    onError();
                }
            }).then(sucesso => logger_1.Logger.success("Sucesso ao executar task " + sucesso))
                .catch(erro => logger_1.Logger.error("erro ao executar task " + erro));
        });
        return taskName;
    }
}
exports.NgcCompileTask = NgcCompileTask;
//# sourceMappingURL=ngc-compile.task.js.map