"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var main_task_1 = require("./tasks/main.task");
var logger_1 = require("./services/logger");
var gulp = require('gulp');
/**
 * This is just an abstraction on top of gulp
 */
var AngularLibraryBuilder = /** @class */ (function () {
    function AngularLibraryBuilder(args) {
        this.args = args;
        this.mainTask = new main_task_1.MainTask();
    }
    /**
     * Invoke mainTask to register all the other tasks in gulp api
     * Then run the main task with gulp.
     */
    AngularLibraryBuilder.prototype.buildLibrary = function () {
        var taskName = this.mainTask.registerAllTasks(this.args, this.onError);
        gulp.start(taskName, this.onSuccess);
    };
    /**
     * When everything finishes with success this method should be called!
     */
    AngularLibraryBuilder.prototype.onSuccess = function () {
        logger_1.Logger.success('\n\nComponentes compilados com sucesso, bão demais...!');
        process.exit(0);
    };
    /**
     * When something wrong happens this method should be called!
     */
    AngularLibraryBuilder.prototype.onError = function () {
        logger_1.Logger.warning('\nEita... problemas na compilação dos componentes... :( \n');
        process.exit(-1);
    };
    return AngularLibraryBuilder;
}());
exports.AngularLibraryBuilder = AngularLibraryBuilder;
//# sourceMappingURL=angular-library-builder.js.map