"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var options_keys_1 = require("../../model/options.keys");
var path = require("path");
var plumber = require("gulp-plumber");
var logger_1 = require("../services/logger");
var gulp = require('gulp');
var mergeJson = require('gulp-merge-json');
/**
 * Copy tsconfig-ngc.json to the outDir folder
 */
var CopyTsconfigNgcTask = /** @class */ (function () {
    function CopyTsconfigNgcTask() {
    }
    /**
     * Registring the task
     */
    CopyTsconfigNgcTask.prototype.registerTask = function (argv, onError, dependencies) {
        if (dependencies === void 0) { dependencies = []; }
        var taskName = 'copy-tsconfig-ngc-task';
        logger_1.Logger.warning("\niniciando :" + taskName);
        var pathDefaultTsconfig = this.getPathToDefaultTsconfig();
        var pathCustomTsconfig = argv[options_keys_1.OptionsKeys.TSCONFIG] || pathDefaultTsconfig;
        gulp.task(taskName, dependencies, function () {
            return gulp.src([pathDefaultTsconfig, pathCustomTsconfig])
                .pipe(plumber(onError))
                .pipe(mergeJson({
                fileName: CopyTsconfigNgcTask.tsconfigName,
                concatArrays: false,
                mergeArrays: false
            }))
                .pipe(gulp.dest(argv[options_keys_1.OptionsKeys.OUT_DIR]));
        });
        return taskName;
    };
    /**
     * Get path to default tsconfig from current working directory (cwd)
     */
    CopyTsconfigNgcTask.prototype.getPathToDefaultTsconfig = function () {
        var pathFromDirname = path.resolve(__dirname, CopyTsconfigNgcTask.tsconfigPath);
        var relativePathFromCwd = path.relative(process.cwd(), pathFromDirname);
        return relativePathFromCwd;
    };
    /**
     * tsconfig-ngc.json path.
     * Path from this file to tsconfig-ngc.json when project is compiled to javascript
     */
    CopyTsconfigNgcTask.tsconfigName = 'tsconfig-ngc.json';
    CopyTsconfigNgcTask.tsconfigPath = "../../" + CopyTsconfigNgcTask.tsconfigName;
    return CopyTsconfigNgcTask;
}());
exports.CopyTsconfigNgcTask = CopyTsconfigNgcTask;
//# sourceMappingURL=copy-tsconfig-ngc.task.js.map