"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var options_keys_1 = require("../../model/options.keys");
var template_processor_1 = require("./inline-html-css.helpers/template.processor");
var style_processor_1 = require("./inline-html-css.helpers/style.processor");
var plumber = require("gulp-plumber");
var logger_1 = require("../services/logger");
var gulp = require('gulp');
var inlineNg2Template = require('gulp-inline-ng2-template');
/**
 * The task that inlines HTML and CSS inside the component
 * It replaces templateUrl with template
 *   and also styleUrls with styles
 */
var InlineHtmlCssTask = /** @class */ (function () {
    function InlineHtmlCssTask() {
    }
    /**
     * Registring the task
     */
    InlineHtmlCssTask.prototype.registerTask = function (argv, onError, dependencies) {
        var _this = this;
        if (dependencies === void 0) { dependencies = []; }
        var taskName = 'inline-html-css-task';
        logger_1.Logger.warning("\niniciando :" + taskName);
        var inputFolder = "./" + argv[options_keys_1.OptionsKeys.ROOT_DIR];
        var inputTypescriptFiles = inputFolder + "/**/*.ts";
        var rejectTypescriptSpecFiles = "!" + inputFolder + "/**/*.spec.ts";
        var destFolder = "./" + argv[options_keys_1.OptionsKeys.OUT_DIR];
        gulp.task(taskName, dependencies, function () {
            return gulp.src([inputTypescriptFiles, rejectTypescriptSpecFiles])
                .pipe(plumber(onError))
                .pipe(inlineNg2Template(_this.getInlineNg2ConfigObject(inputFolder)))
                .pipe(gulp.dest(destFolder))
                .pipe(logger_1.Logger.success("finalizando :" + taskName));
        });
        return taskName;
    };
    /**
     * Some default config settings for gulp-inline-ng2-template
     */
    InlineHtmlCssTask.prototype.getInlineNg2ConfigObject = function (inputFolder) {
        return {
            base: inputFolder,
            useRelativePaths: true,
            removeLineBreaks: true,
            supportNonExistentFiles: true,
            templateProcessor: template_processor_1.templateProcessor,
            styleProcessor: style_processor_1.styleProcessor,
        };
    };
    return InlineHtmlCssTask;
}());
exports.InlineHtmlCssTask = InlineHtmlCssTask;
//# sourceMappingURL=inline-html-css.task.js.map