"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var delete_dest_folder_task_1 = require("./delete-dest-folder.task");
var inline_html_css_task_1 = require("./inline-html-css.task");
var ngc_compile_task_1 = require("./ngc-compile.task");
var copy_tsconfig_ngc_task_1 = require("./copy-tsconfig-ngc.task");
var copy_files_to_outdir_task_1 = require("./copy-files-to-outdir.task");
var gulp = require('gulp');
/**
 * Main taks that manages all dependencies between other tasks
 */
var MainTask = /** @class */ (function () {
    function MainTask() {
        this.deleteTask = new delete_dest_folder_task_1.DeleteDestFolderTask();
        this.inlineTask = new inline_html_css_task_1.InlineHtmlCssTask();
        this.copyTsconfigTask = new copy_tsconfig_ngc_task_1.CopyTsconfigNgcTask();
        this.ngcTask = new ngc_compile_task_1.NgcCompileTask();
        this.copyFilesOutdirTask = new copy_files_to_outdir_task_1.CopyFilesToOutdirTask();
    }
    MainTask.prototype.registerAllTasks = function (argv, onError) {
        var deleteTaskName = this.deleteTask.registerTask(argv, onError);
        var inlineTaskName = this.inlineTask.registerTask(argv, onError, [deleteTaskName]);
        var copyTsconfigTaskName = this.copyTsconfigTask.registerTask(argv, onError, [inlineTaskName]);
        var ngcTaskName = this.ngcTask.registerTask(argv, onError, [copyTsconfigTaskName]);
        var copyFilesOutdirTaskName = this.copyFilesOutdirTask.registerTask(argv, onError, [ngcTaskName]);
        var taskName = 'main-task';
        gulp.task(taskName, [copyFilesOutdirTaskName]);
        return taskName;
    };
    return MainTask;
}());
exports.MainTask = MainTask;
//# sourceMappingURL=main.task.js.map